0

I have Xampp on Ubuntu 11.04. .php files are downloaded instead of parsed by Apache! How do I get Apache to parse them?

3
  • 3
    Have you installed libapache2-mod-php5? – Achu Jul 10 '11 at 14:18
  • As a note, you really shouldn't use Xampp on Ubuntu; it's unnecessary and it often causes problems. Just install the packages you need. This isn't Windows where setting up a development server is complicated. – Scott Severance Oct 1 '12 at 2:40
  • This has a reasonable, +6 answer. It's not abandoned and there's no reason to think this is a rare problem or one that is limited in time. Let's reopen this. – Eliah Kagan Apr 13 '13 at 8:55
7

Try:

sudo apt-get update; sudo apt-get install libapache2-mod-php5
sudo a2enmod php5
sudo service apache2 restart

Post back any terminal errors.

If your using Firefox, you may have to clear your cache as well.

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.